Bug 230880 - Changing log paths issue
Changing log paths issue
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Admin (Show other bugs)
1.0.4
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Rich Megginson
Viktor Ashirov
:
Depends On:
Blocks: 152373 240316 FDS1.1.0
  Show dependency treegraph
 
Reported: 2007-03-04 00:53 EST by Shawn
Modified: 2015-12-07 11:34 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 11:34:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shawn 2007-03-04 00:53:55 EST
Description of problem:

Using the administration console I enabled logging for access, error and
logging. The problem is when I try to move the home for the logs to
/var/log/slapd-domain_name/log_name the browse button is greyed out and if I put
 the path to the log in the "Log File" text box field then press save I can get
2 different results. 

The first is that it comes back with an error box with the Title "Error
Updateing Directory". Then the message within the error box is "Invalid file
name: " followed by the full path to the file like I put in the text box. 

The other thing it will do is some times it will save the file with out an error
message but if I move from one log say error to access and then come back to
error the file displayed in the "Log File" text box will be reset to the system
defaults.

I have tried touching the full file name and giving it 666 permision just in
case it was having a problem creating or accessing the file but that hasn't
helped. After that if I did an "ls -l and copy the text I placed in the log file
box" it displays the file I had touched so there isn't a write to disk kind of
error.      


Version-Release number of selected component (if applicable):
fedora-ds-1.0.4-1.RHEL4


How reproducible:
Always on this system. I don't have another I can test it on yet. 

Steps to Reproduce:
1.Start admin console
2. Bind as Directory Manager to server 
3. Click on Configuration tab
4. Click + sign beside logs to expand section.
5. Click on any of the given logs
6. Click to enable logging box
7. Add file path to log file text box. In my case an example is   
"/opt/fedora-ds/slapd-rock/logs/errors" quotes were not actually used.
8. Click save button at the bottom of the page.
  
Actual results:
As described above.

Expected results:
New log file absolute path saved.

Additional info:

Most other things I have checked through the admin console have worked so far. I
have been able to add users and groups and move around etc.
Comment 1 Shawn 2007-03-04 00:57:59 EST
Sorry the actual path I entered was "/var/log/slapd-rock/errors"

Comment 2 Rich Megginson 2007-10-05 12:21:26 EDT
Noriko, what does this do now with the current code?
Comment 3 Noriko Hosoi 2007-10-05 12:45:47 EDT
It seems it's working as expected with the current code.  I have no problem
switching the log file path.

I used the error log for testing.
When I installed, my error log was:
/var/log/dirsrv/slapd-ID/errors

I tried to move the file to an unexisting directory (path:
/var/log/dirsrv/bogus/errors) then the save button on Console remained grey. 
Once I "mkdir"ed the directory, the Console allowed me to save.  Then, the error
log file was switched immediately.
Comment 4 Rich Megginson 2007-10-05 12:55:16 EDT
Ok.
Comment 5 Michael Gregg 2007-11-19 20:24:21 EST
Verified aginst:
1195521753 redhat-ds-base-8.0.0-11.el5dsrv Mon Nov 19 2007 
1195521755 redhat-ds-admin-8.0.0-1.15.el5dsrv Mon Nov 19 2007 
1195521757 redhat-ds-console-8.0.0-8.el5dsrv Mon Nov 19 2007 
1195521758 redhat-admin-console-8.0.0-9.el5dsrv Mon Nov 19 2007 

Note You need to log in before you can comment on or make changes to this bug.